mutation createTaxForm(
  $formType: TaxFormType!
  $title: String!
  $subtitle: String
  $description: String
  $status: TaxFormStatus
  $staffId: UUID!
  $formData: Any
) @auth(level: USER) {
  taxForm_insert(
    data: {
      formType: $formType
      title: $title
      subtitle: $subtitle
      description: $description
      status: $status
      staffId: $staffId
      formData: $formData
    }
  ) 
}

mutation updateTaxForm(
  $id: UUID!
  $status: TaxFormStatus
  $formData: Any
  $title: String
  $subtitle: String
  $description: String
) @auth(level: USER) {
  taxForm_update(
    id: $id
    data: {
      status: $status
      formData: $formData
      title: $title
      subtitle: $subtitle
      description: $description
    }
  ) 
}

mutation deleteTaxForm($id: UUID!) @auth(level: USER) {
  taxForm_delete(id: $id) 
}
